# Class CIM_PeerIDPayloadFilterEntry
extends CIM_FilterEntryBase

PeerIDPayloadFilterEntry defines filters used to match the Identification Type field in the ID Payload of the IKE protocol exchange. It permits the specification of ID values such as "*@example.com" or "192.0.2.0/24".

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_FilterEntryBase
|
+--CIM_PeerIDPayloadFilterEntry

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PeerIDPayloadFilterEntry defines filters used to match the Identification Type field in the ID Payload of the IKE protocol exchange. It permits the specification of ID values such as "*@example.com" or "192.0.2.0/24".
MappingStrings | string | IPSP Policy Model.IETF|PeerIDPayloadFilterEntry
UMLPackagePath | string | CIM::Network::Filtering
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MatchIdentityType | uint16 |
Description | string | MatchIdentityType specifies the Identification Type provided by the peer in the payload. The list of identities was generated from Section 4.6.2.1 of RFC2407. Note that the enumeration is different than the RFC list, since the value 'Other' is taken into account.
MappingStrings | string | IPSP Policy Model.IETF|PeerIDPayloadFilterEntry.MatchIdentityType, RFC2407.IETF|Section 4.6.2.1
ModelCorrespondence | string | CIM_PeerIDPayloadFilterEntry.MatchIdentityValue
Required | boolean | true
ValueMap | string | 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, .., 0x8000..
Values | string | Other, IPV4 Address, FQDN, User FQDN, IPV4 Subnet Address, IPV6 Address, IPV6 Subnet Address, IPV4 Address Range, IPV6 Address Range, DER ASN1 DN, DER ASN1 GN, KEY ID, DMTF Reserved, Vendor Reserved
MatchIdentityValue | string |

Description

string

MatchIdentityValue is the filter value for comparison with the ID payload, e,g, "*@company.com". The syntax may need to be converted for comparison. For example, if the type of identity is a DER-encoded distinguished name, (for example, MatchIdentityType = 10, "DER_ASN1_DN"), the MatchIdentityValue MUST be converted into a DER-encoded string. This allows it to be matched against the values extracted from the ID payload at runtime. Note that a wildcard mechanism may be used when MatchIdentityType specifies a general character string (for example, if MatchIdentityType=3, 'FQDN'). MatchFieldValue may contain a wildcard character, '*', in the pattern match specification. For example, for 'FQDN', a MatchFieldValue of '*@example.com' will successfully match an ID payload of 'janedoe@example.com'. A wildcard can be used to represent 0 or more characters as is appropriate for the type specified in MatchIdentityType.

MappingStrings | string | IPSP Policy Model.IETF|PeerIDPayloadFilterEntry.MatchIdentityValue
ModelCorrespondence | string | CIM_PeerIDPayloadFilterEntry.MatchIdentityType
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_FilterEntryBase
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
IsNegated | boolean | CIM_FilterEntryBase
Name | string | CIM_FilterEntryBase
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_FilterEntryBase
SystemName | string | CIM_FilterEntryBase
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods